from Products.CMFCore import DirectoryView as cmfdirview
try:
    from Products.CMFCore import permissions
except ImportError:
    from Products.CMFCore import CMFCorePermissions as permissions
from Products.CMFCore import utils as cmfutils
from Products.Archetypes import public as atapi
import config
import field
import validator

cmfdirview.registerDirectory(config.SKINS_DIR, config.GLOBALS)

def initialize(context):
    if config.DEBUG_MODE:
        import examples.SampleContent

    project_name = config.PROJECT_NAME

    # Process the project's types
    content_types, constructors, ftis = \
        atapi.process_types(atapi.listTypes(project_name), project_name)

    cmfutils.ContentInit(
        meta_type           = project_name + ' Content',
        content_types       = content_types,
        permission          = permissions.AddPortalContent,
        extra_constructors  = constructors,
        fti                 = ftis,
    ).initialize(context)
