from Globals import InitializeClass
from AccessControl import ClassSecurityInfo
from Products.Archetypes.Widget import TypesWidget
from Products.Archetypes.Registry import registerWidget


class RetypePasswordWidget(TypesWidget):
    """
    The RetypePasswordWidget includes the confirm password box.
    It returns a tuple from the form, with the two values.
    """

    _properties = TypesWidget._properties.copy()
    _properties.update({
        'macro': 'retype_password',
        'size': 20,
        'modes': ('edit',),
    })

    security = ClassSecurityInfo()

    security.declarePublic('process_form')
    def process_form(self, instance, field, form, empty_marker='',
                     emptyReturnsMarker=False):
        """ Returns the entered values. """
        passwd = form.get(field.getName(), empty_marker)
        confirm_passwd = form.get(field.getName()+'_confirm', empty_marker)

        return (passwd, confirm_passwd), {}

registerWidget(RetypePasswordWidget, title="Retype Password Widget",
    description="Widget to handle password retyping.")
